body {
    font-family: "Montserrat", sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #fcfaf1;
    color: #272727;
}

.container {
    max-width: 1400px;
}

.wrapper {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    min-height: 95vh;
}

.left {
    width: 100%;
    max-width: 600px;
}

.svgsWrapper {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    align-items: center;
}

.posts-wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

#movieForm {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

input,
textarea {
    padding: 12px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 4px;
}

input,
textarea {
    font-family: "Montserrat", sans-serif;
}

button,
a {
    padding: 12px 20px;
    background-color: #272727;
    color: #fcfaf1;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s;
    font-family: "Montserrat", sans-serif;
    text-decoration: none;
    font-size: 14px;

    &:hover {
        transform-origin: center center;
        transform: scale(0.98);
    }
}

.svg-container {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    width: 0;
    transition: all 0.35s ease-in-out;
    transform-origin: center center;
}

#downloadBtn {
    display: block;
    margin: 20px auto;
    width: 250px;
    display: none;
}

/* Add file input styling */
.form-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.form-flex {
    display: flex;
    gap: 2rem;
    align-items: end;
}

.form-flex div {
    width: 100%;
}

#posterImage {
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
    background: white;
}

#downloadButtonsWrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: center;
}

#timerInfo {
    opacity: 0;
    transition: all 0.25s ease-in-out;
}

#canvasPreviewWrapper {
    transform: scale(0.25);
}
